Skip to main content
GET
/
v1
/
businessAccount
/
banks
/
wires
/
{id}
/
instructions
Get wire instructions
curl --request GET \
  --url https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api-sandbox.circle.com/v1/businessAccount/banks/wires/{id}/instructions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "trackingRef": "CIR13FB13A",
    "beneficiary": {
      "name": "CIRCLE INTERNET FINANCIAL INC",
      "address1": "99 HIGH STREET",
      "address2": "BOSTON MA 02110"
    },
    "beneficiaryBank": {
      "name": "WELLS FARGO BANK",
      "swiftCode": "WFBIUS6SXXX",
      "routingNumber": "121000248",
      "accountNumber": "****7427",
      "currency": "USD",
      "address": "4250 EXECUTIVE SQUARE SUITE 300",
      "city": "LA JOLLA",
      "postalCode": "02110",
      "country": "US"
    }
  }
}
{
"code": 401,
"message": "Malformed authorization."
}
{
"code": 404,
"message": "Not found."
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Universally unique identifier (UUID v4) of a resource.

Example:

"b3d9d2d5-4c12-4946-a09d-953e82fae2b0"

Query Parameters

currency
enum<string>

Queries beneficiary bank account currency. Default is USD.

Available options:
USD,
EUR
walletId
string

The wallet ID of the external entity. If not provided, the instructions will be for your default wallet.

You can create additional wallets using the Core API for Institutions.

Response

Successfully retrieved wire transfer instructions for the bank account.

data
object